# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::PropertyMap Class Reference

Javascript Property Map. More...

`#include <property_map.h>`

Collaboration diagram for KJS::PropertyMap:

[legend]
List of all members.

## Public Member Functions

void | clear ()
void | put (const Identifier &name, ValueImp *value, int attributes)
void | remove (const Identifier &name)
ValueImp * | get (const Identifier &name) const
ValueImp * | get (const Identifier &name, int &attributes) const
void | mark () const
void | addEnumerablesToReferenceList (ReferenceList &, const Object &) const
void | addSparseArrayPropertiesToReferenceList (ReferenceList &, const Object &) const
void | save (SavedProperties &) const
void | restore (const SavedProperties &p)

## Detailed Description

Javascript Property Map.

Definition at line 69 of file property_map.h.

The documentation for this class was generated from the following files:

- property_map.h
- property_map.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003